# Esqueletora
## Projeto esqueleto para projetos em React da Pandora

### Por onde começar:
- Clone o projeto para sua máquina
- Entre na pasta do projeto e execute o comando:
 > npm install
- Rode o projeto com o comando:
 > npm start

### Arquivos importantes para configuração inicial:
#### Leia todos os comentários de cada arquivo
- /src/store.js
- /src/Components/Auth/authSlice.js
- /src/Components/User/userSlice.js

### Diagramação do projeto:
**/src/app** - Todos componentes que poderão ser reutilizados mais de uma vez dentro da aplicação

**/src/Components** - Configuração dos Reducers (Redux)

**/src/api** - Todos arquivos de conexão com API externa

**/src/features** - Componentes principais do projeto, como: Login, Home, Menu, etc...


### Bibliotecas mais importantes usadas:
1. [React Router](https://reactrouter.com/) (Responsável pelas rotas do projeto)
2. [React Redux](https://react-redux.js.org/) (Responsável pelas variáveis globais)
3. [Reacstrap e Bootstrap](https://reactstrap.github.io/) (Bootstrap do react)
4. [React icons](https://react-icons.github.io/react-icons/icons?name=fa) (Vários ícones)
